{ config, pkgs, ... }:

{
  environment = {
    systemPackages = with pkgs; [
      dunst
      physlock
      redshift
      rofi
      sxhkd
      xcompmgr
    ];
  };

  services = {
    xserver = {
      enable = true;
      displayManager = {
        startx = {
          enable = true;
        };
      };
      windowManager = {
        awesome = {
          enable = true;
        };
      };
    };
  };
}
